metadata:
    name: optee-gtest-gatekeeper-keymaster
    format: "Lava-Test Test Definition 1.0"
    description: "gatekeeper and keymaster gtests"
    maintainer:
        - victor.chong@linaro.org
        - chase.qi@linaro.org
    os:
        - android
    scope:
        - functional
        - performance
    devices:
        - hi6220-hikey
        - hi6220-hikey-bl

params:
    # Specify device serial no. when more than one device connected.
    ANDROID_SERIAL: ""
    # Specify timeout in seconds for wait_boot_completed
    BOOT_TIMEOUT: "300"

run:
    steps:
        - cd ./automated/android/optee
        - ./optee-gtest-gatekeeper-keymaster.sh -s "${ANDROID_SERIAL}" -t "${BOOT_TIMEOUT}"
        - ../../utils/send-to-lava.sh ./output/result.txt
